summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNed Ludd <solar@gentoo.org>2009-01-05 22:02:12 +0000
committerNed Ludd <solar@gentoo.org>2009-01-05 22:02:12 +0000
commitec4c7787440da28f98bafc1ffd6a02e6e5f6a294 (patch)
tree2f473d06be4def9d2a40368a0dbde8a8a73a6cab /eclass/toolchain.eclass
parentBump to 2.6.2. (diff)
downloadgentoo-2-ec4c7787440da28f98bafc1ffd6a02e6e5f6a294.tar.gz
gentoo-2-ec4c7787440da28f98bafc1ffd6a02e6e5f6a294.tar.bz2
gentoo-2-ec4c7787440da28f98bafc1ffd6a02e6e5f6a294.zip
- vapier I don't care if you do not like a sed statement or not. Do not revert legit fixes to the tree simply cuz you do no like them without infoming anybody. That is tree abuse. If something bothers you then you come up with the patches for all 20 gcc's
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass13
1 files changed, 12 insertions, 1 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 6425ef44326b..ba26b3b87ee2 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.375 2009/01/04 17:17:54 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.376 2009/01/05 22:02:12 solar Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -1056,6 +1056,15 @@ do_gcc_rename_java_bins() {
die "Failed to fixup file ${jfile} for rename to grmic"
done
}
+unbreak_arm() {
+ [[ ${CTARGET} == *eabi* ]] || return
+ [[ ${CTARGET} == arm* ]] || return
+ [[ ${CTARGET} == armv5* ]] && return
+ [[ -e "${S}"/gcc/config/arm/linux-eabi.h ]] || return
+ #armv4tl can do ebai as well. http://www.nabble.com/Re:--crosstool-ng--ARM-EABI-problem-p17164547.html
+ #http://sourceware.org/ml/crossgcc/2008-05/msg00009.html
+ sed -i -e s/'define SUBTARGET_CPU_DEFAULT TARGET_CPU_arm10tdmi'/'define SUBTARGET_CPU_DEFAULT TARGET_CPU_arm9tdmi'/g "${S}"/gcc/config/arm/linux-eabi.h
+}
gcc_src_unpack() {
export BRANDING_GCC_PKGVERSION="Gentoo ${GCC_PVR}"
@@ -1139,6 +1148,8 @@ gcc_src_unpack() {
do_gcc_rename_java_bins
fi
+ unbreak_arm
+
# Fixup libtool to correctly generate .la files with portage
cd "${S}"
elibtoolize --portage --shallow --no-uclibc